For the complete documentation index, see llms.txt. This page is also available as Markdown.

Set default payment method

Set the default payment method for your account. Use this endpoint to configure the primary payment method for future orders.

Set default payment method

post

Set the default payment method for your account.

Use this endpoint to configure the primary payment method for future orders.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
paymentMethodIdintegerRequired

Payment method ID

Example: 9693613
Responses
200

Success empty response

application/json
messagestringOptionalExample: Request accepted
post/api/billing/v1/payment-methods/{paymentMethodId}
POST /api/billing/v1/payment-methods/{paymentMethodId} HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "message": "Request accepted"
}

Last updated

Was this helpful?